<?session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
	include ("fphp.php");
	$enlace=cargar_conexion();
	$cedula=str_repeat('0',8-strlen(trim($_REQUEST["cedula"]))).trim($_REQUEST["cedula"]);

	$consulta="select nombres,nombres1,apellidos,apellidos1 from personal where codigo='".$cedula."' ";
	$resultado = mysql_query($consulta) or die($consulta . mysql_error());
	$row=mysql_fetch_array($resultado);
	echo "<center><font face='verdana' color=red size=4>[Deducciones del Trabajador]</font></center>";
	echo "<br><center><img src='img2/administrator.png'><font color=black size=4>&nbsp;".trim($row['nombres'])." ".trim($row['nombres1']).' '.trim($row['apellidos'])." ".trim($row['apellidos1'])."</font></center><br>";

	//============ datos de empresa
	$consulta=mysql_query('select * from empresa');
	$row=mysql_fetch_array($consulta);
	$ince=$row['ince'];
	$dvac=$row['dvac'];
	$duti=$row['duti'];
	
	//=========== datos de prestaciones
	$consultax="select * from prestacion where cedula='".$cedula."' ";
	$resultadox = mysql_query($consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
	$rowx=mysql_fetch_array($resultadox);
	$status = $rowx['status'];
	$smes = $rowx['smes'];
	$dias = $rowx['dias'];
	$fec1 = $rowx['fechai'];
	$fec2 = $rowx['egreso'];
	$vac = $rowx['vacacion'];
	$semana=0;
	if ($dias>1 && $dias<=7) $semana=1;
	if ($dias>7) $semana=2;
	
	$mesutilidad = mostrar_antiguedad(2,date('Y').'-01-01', $fec2);
	$utilidad = $duti/12*$mesutilidad*($smes/30);
	
	//============ datos de prestamos
	$consulta=mysql_query("select sum(saldo) as total from prestamo where cedula='".$cedula."'");
	$row=mysql_fetch_array($consulta);
	$saldoprestamo=$row['total'];
	
	//============ datos de adelantos
	$consulta=mysql_query("select sum(monto) as total from prestacion_adelanto where cedula='".$cedula."'");
	$row=mysql_fetch_array($consulta);
	$saldoadelanto=$row['total'];
	
	if ($_POST['busca']=='1') {
		if ($_POST['C1']!='') {
			$consulta="update prestacion_deduccion set cantidad='".$_POST['C1']."', monto=".($smes*12/52*0.04*$_POST['C1'])." where cedula='".$cedula."' and linea=1";
			$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		}
		if ($_POST['C2']!='') {
			$consulta="update prestacion_deduccion set cantidad='".$_POST['C2']."', monto=".($smes*12/52*0.005*$_POST['C2'])." where cedula='".$cedula."' and linea=2";
			$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		}
		if ($_POST['C3']!='') {
			$consulta="update prestacion_deduccion set cantidad='".$_POST['C3']."', monto=".($smes/30*$dias*$_POST['C3'])." where cedula='".$cedula."' and linea=3";
			$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		}
		if ($_POST['C5']!='') {
			$consulta="update prestacion_deduccion set cantidad='".$_POST['C5']."', monto='".$_POST['C5']."' where cedula='".$cedula."' and linea=5";
			$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		}
		if ($_POST['C7']!='') {
			$consulta="update prestacion_deduccion set cantidad='".$_POST['C7']."', monto='".($smes/30*$dias*$_POST['C7']/100)."' where cedula='".$cedula."' and linea=7";
			$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		}
		if ($_POST['C9']!='') {
			$consulta="update prestacion_deduccion set cantidad='".$_POST['C9']."', monto='".$_POST['C9']."' where cedula='".$cedula."' and linea=9";
			$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		}
	}	
	$consulta="select * from prestacion_deduccion where cedula= '".$cedula."'";
	$resultado = mysql_query($consulta) or die($consulta . mysql_error());
	if (mysql_num_rows($resultado) == 0){
		$status=1;
		$consulta="insert into prestacion_deduccion (cedula,tipo,linea,detalle, cantidad, monto) values ('".$cedula."',1,1,'Seguro Social Obligatorio (No. Semanas)', '$semana', '".$smes*12/52*0.04*$semana."')";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consulta="insert into prestacion_deduccion (cedula,tipo,linea,detalle, cantidad, monto) values ('".$cedula."',1,2,'Regimen de Prestaci&oacute;n de Empleo (No. Semanas)', '$semana', '".$smes*12/52*0.005*$semana."')";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consulta="insert into prestacion_deduccion (cedula,tipo,linea,detalle, cantidad, monto) values ('".$cedula."',1,3,'F.A.O.H. (%)', '1', '".($smes/30*$dias*0.01)."')";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consulta="insert into prestacion_deduccion (cedula,tipo,linea,detalle, cantidad,monto) values ('".$cedula."',1,4,'Adelanto de Prestaciones (Bs.)', '$saldoadelanto', '$saldoadelanto')";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consulta="insert into prestacion_deduccion (cedula,tipo,linea,detalle) values ('".$cedula."',1,5,'Deposito de Fideicomiso (Bs.)')";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consulta="insert into prestacion_deduccion (cedula,tipo,linea,detalle, cantidad,monto) values ('".$cedula."',1,6,'Prestamos Varios (Bs.)', '$saldoprestamo', '$saldoprestamo')";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consulta="insert into prestacion_deduccion (cedula,tipo,linea,detalle) values ('".$cedula."',1,7,'Impuesto Sobre la Renta (%)')";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consulta="insert into prestacion_deduccion (cedula,tipo,linea,detalle, cantidad,monto) values ('".$cedula."',1,8,'INCES (%)', '$ince', '".($utilidad*$ince/100)."')";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consulta="insert into prestacion_deduccion (cedula,tipo,linea,detalle) values ('".$cedula."',1,9,'Anticipo de Utilidades (Bs.)')";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consultax="update prestacion set status=1 where cedula='".$cedula."' ";
		$resultadox = mysql_query($consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());		
	}

	if ($status=='0') {
		$consulta="update prestacion_deduccion set cantidad='".$semana."', monto=".($smes*12/52*0.04*$semana)." where cedula='".$cedula."' and linea=1";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consulta="update prestacion_deduccion set cantidad='".$semana."', monto=".($smes*12/52*0.005*$semana)." where cedula='".$cedula."' and linea=2";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consulta="update prestacion_deduccion set cantidad='1', monto=".($smes/30*$dias*0.01)." where cedula='".$cedula."' and linea=3";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consulta="update prestacion_deduccion set cantidad='0', monto='0' where cedula='".$cedula."' and linea=5";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consulta="update prestacion_deduccion set cantidad='0', monto='0' where cedula='".$cedula."' and linea=7";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consulta="update prestacion_deduccion set cantidad='0', monto='0' where cedula='".$cedula."' and linea=9";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$consultax="update prestacion set status=1 where cedula='".$cedula."' ";
		$resultadox = mysql_query($consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());		
	}	

	$consulta="update prestacion_deduccion set cantidad='".$saldoadelanto."', monto='".$saldoadelanto."' where cedula='".$cedula."' and linea=4";
	$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
	$consulta="update prestacion_deduccion set cantidad='".$saldoprestamo."', monto='".$saldoprestamo."' where cedula='".$cedula."' and linea=6";
	$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
	$consulta="update prestacion_deduccion set cantidad='".$ince."', monto='".($utilidad*$ince/100)."' where cedula='".$cedula."' and linea=8";
	$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
	
	$consulta="select * from prestacion_deduccion where cedula= '".$cedula."' order by linea";
	$resultado = mysql_query($consulta) or die($consulta . mysql_error());
	echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center' width='100%'>";
	echo "<tr bgcolor='#43bced'>";
	echo "<th align = left><font color='white'> Concepto </font></th>";
	echo "<th align = center><font color='white'> Cantidad </font></th>";
	echo "<th align = center><font color='white'> Monto </font></th>";
	echo "<th colspan = 1 align = right><font color='white'> Acci&oacute;n </font></th>";
	$total=0;
	while ($row = mysql_fetch_array($resultado)) {
		if ($color) $tcolor="#dfdfd0";
		else $tcolor="white";
		$total +=$row['monto'];
		$tab1 = 'C'.$row['linea'];
		echo "<form name = '".('entrada'.$row['linea'])."' action = '".$_SERVER['PHP_SELF']."?cedula=".$cedula."&linea=".$row['linea']."' method = 'POST'  enctype='multipart/form-data'>";
		echo "<input type = 'hidden' name = 'busca' value = '1'>";
		echo '<tr bgcolor='.$tcolor.' >';
		echo "<td width='300'>".$row['detalle']."</td>";
		echo "<td width='80' align='right'><input name='".$tab1."' size=7 value='".($row['linea']<=2?number_format($row['cantidad'],0):number_format($row['cantidad'],2))."'></td>";
		echo "<td width='80' align='right'>".number_format($row['monto'],2)."</td>";
		if ($row['linea']!=4 && $row['linea']!=6 && $row['linea']!=8) 
			echo "<td width='30' align='center'><input type='image' src='img2/grabar.png' style='color:black;text-decoration:none'></td>";
			else echo "<td width='30' align='center'>---</td>";
		echo '</tr></form>';
		$color=!$color;
	}
	echo '<tr bgcolor="#43bced">';
	echo "<td colspan=2><font color='white'>Totales Bs.</font></td>";
	echo "<td width='80' align='right'><font color='white'><input name='".$tab1."' size=7 value='".number_format($total,2)."'></font></td>";
	echo "<td width='30' align='center'></td>";
	echo '</tr>';
	echo '</table>';
	echo "<br><b>NOTA:</b> para grabar oprima el icono <img src='img2/grabar.png'><br>";
	mysql_free_result($resultado);
	
	mysql_close($enlace);
?>